org.apache.maven.scm.provider.cvslib.cvsjava.util

## Class CvsConnection

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.cvsjava.util.CvsConnection

-     public class CvsConnection
      extends Object

  A Cvs connection that simulates a command line interface.
  Version:
    $Id: CvsConnection.java 691832 2008-09-03 23:54:44Z vsiveton $
  Author:
    Eric Pugh

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `executeCommand(org.netbeans.lib.cvsclient.command.Command command)` Execute a configured CVS command
    `static boolean` | `processCommand(String[] args, String localPath, org.netbeans.lib.cvsclient.event.CVSListener listener, ScmLogger logger)` Process the CVS command passed in args[] array with all necessary options.
    `void` | `setGlobalOptions(org.netbeans.lib.cvsclient.command.GlobalOptions globalOptions)`
    `void` | `setLocalPath(String localPath)`
    `void` | `setRepository(String repository)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### executeCommand

          public boolean executeCommand(org.netbeans.lib.cvsclient.command.Command command)
                                 throws org.netbeans.lib.cvsclient.command.CommandException,
                                        org.netbeans.lib.cvsclient.connection.AuthenticationException

      Execute a configured CVS command
      Parameters:
        `command` - the command to execute
      Throws:
        `org.netbeans.lib.cvsclient.command.CommandException` - if there is an error running the command
        `org.netbeans.lib.cvsclient.connection.AuthenticationException`

    - #### setRepository

          public void setRepository(String repository)

    - #### setLocalPath

          public void setLocalPath(String localPath)

    - #### setGlobalOptions

          public void setGlobalOptions(org.netbeans.lib.cvsclient.command.GlobalOptions globalOptions)

    - #### processCommand

          public static boolean processCommand(String[] args,
                               String localPath,
                               org.netbeans.lib.cvsclient.event.CVSListener listener,
                               ScmLogger logger)
                                        throws Exception

      Process the CVS command passed in args[] array with all necessary options. The only difference from main() method is, that this method does not exit the JVM and provides command output.
      Parameters:
        `args` - The command with options
      Throws:
        `Exception`

Copyright © 2003–2015. All rights reserved.